## bb 1.3rc1

=== debian/changelog ===
bb (1.3rc1-13) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

  [ Axel Beckert ]
  * Add lintian overrides for very-long-line-length-in-source-file in
    binary files.
  * Bump packaging copyright years in debian/copyright. Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Sun, 20 Nov 2022 21:15:56 +0100

bb (1.3rc1-12) unstable; urgency=medium

  [ Ondřej Nový ]
  * debian/watch: Use HTTPS protocol.

  [ Axel Beckert ]
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
  * Don't install README.LZO into the binary package.
    + It's no end-user documentation.
    + Also fixes lintian warning broken-lzo.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
  * Bump package maintainer copyright years in debian/copyright.
  * Add lintian override for upstream-metadata-file-is-missing. The only
    field we could put in there would be the redundant Homepage field.
  * Extend patches to fix another typo in upstream documentation and code.
  * Refresh disable_music_by_default.patch. Had an offset of 1 line.
  * debian/patches/*.c.patch: Add minimal DEP3 patch description stating
    that the patch was extracted from 1.3rc1-8.5's .diff.gz by
    diff2patches. Fixes lintian warning quilt-patch-missing-description.
  * Update README.Debian with regards to temporarily disabling PulseAudio.

 -- Axel Beckert <abe@debian.org>  Sun, 17 Jan 2021 01:21:11 +0100

bb (1.3rc1-11) unstable; urgency=medium

  * Remove trailing whitespace from ancient debian/changelog entry.
  * Declare compliance with Debian Policy 4.1.3.
    + Change debian/copyright DEP5 format URL to HTTPS.
  * Extend debian/patches/fix-typos-in-messages.patch to fix some more
    typos.
  * Add debian/duck-overrides to silence DUCK false positives.
  * Bump debhelper compatibility level to 11.
    + Update versioned build-dependency on debhelper accordingly.
    + Drop "--with autotools-dev --parallel" from debian/rules.
    + Drop build-dependency on autotools-dev.
    + Update debian/patches/add_-lm.patch to work with autoreconf.
  * Set "Rules-Requires-Root: no".
  * Update Vcs-* headers for switch to salsa.debian.org.

 -- Axel Beckert <abe@debian.org>  Tue, 02 Jan 2018 15:39:17 +0100

bb (1.3rc1-10) unstable; urgency=medium

  * Add patch to fix implicit declaration of strlen in main.c. (Reported
    by the build log scanner.)
  * Add desktop file. (Closes: #737826)
    + Add image from http://aa-project.sourceforge.net/bb/bb.jpg
      (converted to PNG and resized to 128x128) for use as menu icon.

 -- Axel Beckert <abe@debian.org>  Fri, 12 Aug 2016 21:59:14 +0200

bb (1.3rc1-9) unstable; urgency=low

  * Add myself to Uploaders.
  * Acknowledge NMUs. (Closes: #789525)
  * Apply "wrap-and-sort -a".
  * Revamp debian/rules:
    + Use dh_auto_{configure,build,install,clean}.
    + Remove now redundant removal of stamp files
    + Remove parsing of DEB_BUILD_OPTIONS, it's now done automatically.
    + Remove no more needed rpath mangling of generated Makefile.
    + Finally switch to a minimal dh v7 style debian/rules file.
  * Convert to source format "3.0 (quilt)" using diff2patches.
    + Assign changes to bug reports or changelog items where obvious.
  * Enabled all hardening build flags.
  * Add simple debian/watch file (no version mangling yet).
  * Support parallel building.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Add patch against textform.c to fix typos found by lintian.
  * Convert debian/copyright to machine-readable DEP-5 format and update
    copyright years and owners.
  * debian/copyright: Update addresses of XaoS homepage and AAlib mailing
    lists. Issues reported by DUCK.
  * Add Vcs-* headers for new collab-maint Git repository.
  * Move the bb man page from section 1 (normal programs) to section 6
    (games) even though the file conflict with the xymon package (formerly
    called hobbit) no more exists for years. (Closes: #441011)

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jul 2016 22:26:57 +0200

bb (1.3rc1-8.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Axel Beckert ]
  * Move from no more supported debhelper compatibility level 4 to
    currently recommended level 9 and make debian/rules and debian/control
    more future-proof:
    + Change "dh_clean -k" to "dh_prep".
    + Remove explicit argument from dh_installchangelogs. (No more needed.)
    + Add recommended targets build-indep and build-arch.
    + Add ${misc:Depends} to Depends
    + Closes: #817373
  * Remove config.guess and config.sub from Debian's .diff.gz and use
    dh_autotools-dev_{restore,update}config to provide up-to-date files at
    build time.
    + Add build-dependency on autotools-dev.

  [ Logan Rosen ]
  * debian/rules: Don't ignore all distclean errors.
  * debian/copyright: Don't point to symlink GPL.

 -- Axel Beckert <abe@debian.org>  Thu, 21 Jul 2016 19:21:48 +0200

bb (1.3rc1-8.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the dependency on oss-compat, it's no longer needed. libmikmod
    now supports ALSA. Closes: #617426.
  * Build-depend on libmikmod-dev instead of libmikmod2-dev.
    Closes: #744906.

 -- Stephen Kitt <skitt@debian.org>  Sun, 21 Jun 2015 20:30:55 +0200

bb (1.3rc1-8.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Improve README.Debian from previous upload:
    + Mention how to run bb under PulseAudio anyways (Thanks Anthony
      DeRobertis!)
    + Fix typo (Thanks Antoine Amarilli!)

 -- Axel Beckert <abe@debian.org>  Sun, 12 Apr 2015 22:10:43 +0200

bb (1.3rc1-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Mitigate hanging visuals in combination with PulseAudio.
    + Set default answer for Music to "no".
    + Add README.Debian explaining the situation.
    + Mitigates: #761023


