=== debian/control ===
Source: bb
Section: games
Priority: optional
Maintainer: Uwe Hermann <uwe@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 13),
               libaa1-dev (>= 1.4p5-28),
               libmikmod-dev
Standards-Version: 4.6.1
Homepage: https://aa-project.sourceforge.net/bb/
Vcs-Git: https://salsa.debian.org/debian/bb.git
Vcs-Browser: https://salsa.debian.org/debian/bb
Rules-Requires-Root: no

Package: bb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ASCII-art demo based on AAlib
 This package contains a 'high quality audio-visual demonstration'
 of ASCII-art using AAlib, a portable ASCII-art graphics library.
 This demonstration can be displayed in a text- or X11-terminal.
