=== debian/watch ===
version=4
https://sf.net/aa-project/bb-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
